Elasticsearch upgrade 1.x to 2.x mapping error


(Hilal) #1

I have indices that have "name.exact" or "album.album". I want to ugrade 1.7 to 2.4. I took snapsot and when I restore it : unable to upgrade the mappings for the index [metadatav4], reason: [Field name [album.album] cannot contain '.'. I should restore all the fields of all indices. How can I achieve this?


(David Pilato) #2

May be a split brain issue?

something went wrong

What exactly?

May be share the logs of all your nodes? Please format with </> icon.


(system) #3

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.